---
title: "List asset executions for an agent execution"
url: "https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c/operations/listAssetExecutions"
---

> Full API specification: https://developers.bynder.com/apis/agents/versions/f5aecf98-613e-4ae8-b26a-ec2cdf804b2c.md

# List asset executions for an agent execution

`GET` `/api/1/agent/executions/{id}/asset-executions`

Operation ID: `listAssetExecutions`

Returns the per-asset executions belonging to an agent execution, paginated.

## Path parameters

- `id` (string, uuid, required) - Id of the agent execution

## Query parameters

- `statuses` (array, optional) - Only return asset executions with these statuses.
- `start` (string, uuid, optional) - Cursor from the previous page's nextPage. Omit for the first page.
- `limit` (integer, optional)
- `sort` (string, optional)

## Responses

- `200` - Paginated list of asset executions
- `401` - Missing or invalid bearer token
- `403` - Caller lacks the required permission for this operation
- `404` - Resource not found
- `429` - Caller exceeded its configured request rate
- `5XX` - Gateway or a downstream service failed to process the request

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: AI Agents
  version: "1.0"
servers:
  - url: https://{your-bynder-domain}/
paths:
  /api/1/agent/executions/{id}/asset-executions:
    get:
      tags:
        - Executions
      summary: List asset executions for an agent execution
      operationId: listAssetExecutions
      description: Returns the per-asset executions belonging to an agent execution,
        paginated.
      parameters:
        - $ref: "#/components/parameters/ExecutionId"
        - name: statuses
          in: query
          description: Only return asset executions with these statuses.
          schema:
            type: array
            items:
              type: string
              enum:
                - SCHEDULED
                - RUNNING
                - FAILED
                - COMPLETED
                - ACCEPTED
                - AUTO_APPLIED
                - DISCARDED
                - CANCELED
                - REVERTED
        - name: start
          in: query
          description: Cursor from the previous page's nextPage. Omit for the first page.
          schema:
            type: string
            format: uuid
        - name: limit
          in: query
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 20
        - name: sort
          in: query
          schema:
            type: string
            default: -modifiedAt
      responses:
        "200":
          description: Paginated list of asset executions
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/PaginatedAssetExecutions"
        "401":
          $ref: "#/components/responses/Unauthorized"
        "403":
          $ref: "#/components/responses/Forbidden"
        "404":
          $ref: "#/components/responses/NotFound"
        "429":
          $ref: "#/components/responses/TooManyRequests"
        5XX:
          $ref: "#/components/responses/ServerError"
security:
  - bearerAuth: []
components:
  parameters:
    ExecutionId:
      name: id
      in: path
      required: true
      description: Id of the agent execution
      schema:
        type: string
        format: uuid
  schemas:
    PaginatedAssetExecutions:
      type: object
      description: A page of asset executions. `metadata.nextPage` is a query string
        to add to the same request URL, or `null` on the last page.
      properties:
        items:
          type: array
          items:
            $ref: "#/components/schemas/AssetExecution"
        metadata:
          type: object
          properties:
            nextPage:
              type: string
              nullable: true
    AssetExecution:
      type: object
      description: The execution of an agent on a single asset, including
        capability-specific `results` (for example, suggestions for the
        enrichment capability).
      properties:
        id:
          type: string
          format: uuid
        agentExecutionId:
          type: string
          format: uuid
        assetId:
          type: string
          format: uuid
        status:
          type: string
          description: The status of the asset execution.
          enum:
            - SCHEDULED
            - RUNNING
            - FAILED
            - COMPLETED
            - ACCEPTED
            - AUTO_APPLIED
            - DISCARDED
            - CANCELED
            - REVERTED
        createdAt:
          type: string
          format: date-time
        results:
          type: object
          additionalProperties: true
        assetName:
          type: string
          nullable: true
        draft:
          type: boolean
        removed:
          type: boolean
        errorCode:
          type: string
          nullable: true
        agentType:
          type: string
          nullable: true
          enum:
            - ENRICHMENT_AGENT
            - TRANSFORMATION_AGENT
            - BRAND_COMPLIANCE_AGENT
            - GOVERNANCE_AGENT
            - PATH_GENERATOR_AGENT
        thumbnail:
          type: object
          nullable: true
          properties:
            small:
              type: string
            large:
              type: string
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  responses:
    Unauthorized:
      description: Missing or invalid bearer token
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    Forbidden:
      description: Caller lacks the required permission for this operation
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    TooManyRequests:
      description: Caller exceeded its configured request rate
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
    ServerError:
      description: Gateway or a downstream service failed to process the request
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/ErrorResponse"
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
```
